$TITLE(IIC_Test_Device)
$DEBUG
$NOLIST
$INCLUDE(C:\TOOLS\TASKING\ASM51\INCLUDE\8051\REG528.INC)
$LIST
;
;IIC_Test_Device check if slave device is present
;
;PL/M declarations:
;               IIC_Test_Device: Procedure(Slave_adr) Byte|Bit External;
;                                Declare Slave_adr Byte;
;                                End;
;
;Input parameters: Slave_adr: Address of slave device to be checked
;Output parameter: IIC_Error (Bit) and Status (Byte)
;
;Used registers:  Defined by _IIC_WRITE routine
;
;****************************************************************************

                PUBLIC _IIC_TEST_DEVICE
                
                EXTRN CODE(_IIC_WRITE)
                EXTRN DATA(COUNT_1)  

                I2C_DRIVER SEGMENT CODE INBLOCK
                RSEG I2C_DRIVER

;***************************************************************************
;
_IIC_TEST_DEVICE:
        MOV COUNT_1,#00         ;Only slave address must be send
        AJMP _IIC_WRITE         ;Testing will be done in transmit routine
;
        END
