$TITLE(Variable definition)

;I2C variable definition file. Used when the application is written
;in assembly.
;This file must be included in one of the application modules

        EXTRN CODE(_INIT_IIC,_DIS_IIC,_IIC_WRITE,_IIC_READ)
        EXTRN CODE(_IIC_TEST_DEVICE,_IIC_WRITE_SUB)
        EXTRN CODE(_IIC_WRITE_SUB_SWINC,_IIC_WRITE_MEMORY)
        EXTRN CODE(_IIC_WRITE_SUB_WRITE,_IIC_READ_STATUS)
        EXTRN CODE(_IIC_READ_SUB,_IIC_WRITE_SUB_READ)
        EXTRN CODE(_IIC_WRITE_COM_WRITE,_IIC_WRITE_REP_WRITE)
        EXTRN CODE(_IIC_WRITE_REP_READ,_IIC_READ_REP_WRITE)
        EXTRN CODE(_IIC_READ_REP_READ)


        PUBLIC _INIT_IIC_BYTE,_IIC_WRITE_BYTE,_IIC_READ_BYTE
        PUBLIC _IIC_TEST_DEVICE_BYTE,_IIC_WRITE_SUB_BYTE
        PUBLIC _IIC_WRITE_SUB_SWINC_BYTE,_IIC_WRITE_MEMORY_BYTE
        PUBLIC _IIC_WRITE_SUB_WRITE_BYTE,_IIC_READ_STATUS_BYTE
        PUBLIC _IIC_READ_SUB_BYTE,_IIC_WRITE_SUB_READ_BYTE
        PUBLIC _IIC_WRITE_COM_WRITE_BYTE,_IIC_WRITE_REP_WRITE_BYTE
        PUBLIC _IIC_WRITE_REP_READ_BYTE,_IIC_READ_REP_WRITE_BYTE
        PUBLIC _IIC_READ_REP_READ_BYTE
        PUBLIC SLAVE_ADR,COUNT_1,SOURCE_PTR_1,SUB_ADR,COUNT_2,SOURCE_PTR_2
        PUBLIC SLAVE_SUB_ADDRESS,STATUS
        PUBLIC IIC_ERROR,NO_ACK,ARB_LOST,TIME_ERR,BUS_ERROR,NO_ACCESS
        PUBLIC EN_STOP,EN_ARB 
        PUBLIC IIC_ERROR

        I2C_VAR_1 SEGMENT DATA
        RSEG I2C_VAR_1

_INIT_IIC_BYTE:
_IIC_WRITE_BYTE:
_IIC_READ_BYTE:
_IIC_TEST_DEVICE_BYTE:
_IIC_WRITE_SUB_BYTE:
_IIC_WRITE_SUB_SWINC_BYTE:
_IIC_WRITE_MEMORY_BYTE:
_IIC_WRITE_SUB_WRITE_BYTE:
_IIC_READ_STATUS_BYTE:
_IIC_READ_SUB_BYTE:
_IIC_WRITE_SUB_READ_BYTE:
_IIC_WRITE_REP_WRITE_BYTE:
_IIC_WRITE_REP_READ_BYTE:
_IIC_READ_REP_WRITE_BYTE:
_IIC_READ_REP_READ_BYTE:
_IIC_WRITE_COM_WRITE_BYTE:
        SLAVE_ADR:      DS 1
        COUNT_1:        DS 1
        SOURCE_PTR_1:   DS 1    
        SUB_ADR:        DS 1
        COUNT_2:        DS 1
        SOURCE_PTR_2:   DS 1
;                 
;
        SLAVE_SUB_ADDRESS: DS 1
;
        I2C_VAR_2 SEGMENT DATA BITADDRESSABLE
        RSEG I2C_VAR_2
        STATUS:    DS 1
        IIC_ERROR  BIT STATUS.0       ;An error has occurred (RD)
        NO_ACK     BIT STATUS.1       ;No ACK received (RD)
        ARB_LOST   BIT STATUS.2       ;Arbitration lost (RD)
        TIME_ERR   BIT STATUS.3       ;Time out error (RD)
        BUS_ERROR  BIT STATUS.4       ;Bus error (RD)
        NO_ACCESS  BIT STATUS.5       ;No access to I2C bus (RD)
        EN_STOP    BIT STATUS.6       ;Enable STOP generation (WR)
        EN_ARB     BIT STATUS.7       ;Enable arbritration check (WR)

